Bug 1564902 - Rebase scap-security-guide in Red Hat Enterprise Linux 7.6 to latest upstream version
Summary: Rebase scap-security-guide in Red Hat Enterprise Linux 7.6 to latest upstream...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scap-security-guide
Version: 7.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Watson Yuuma Sato
QA Contact: Marek Haicman
URL:
Whiteboard:
: 1608736 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-08 18:57 UTC by Marek Haicman
Modified: 2018-10-30 11:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 11:46:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3308 None None None 2018-10-30 11:47:23 UTC

Description Marek Haicman 2018-04-08 18:57:15 UTC
SCAP-Security-Guide (SSG) contains configuration hardening advice of Red Hat  Enterprise Linux 7 and other products. Some customers are contributing fixes  directly to upstream. The expectation is that we ship these fixes/improvements along the RHEL update release.

There has been significant changes to the build system / data structure in the upstream project, making non-rebase backports difficult and error prone.

The version currently in RHEL7 is 0.1.36, https://github.com/OpenSCAP/scap-security-guide/compare/v0.1.36...master shows changes in upstream since then.

Comment 4 Matěj Týč 2018-07-26 11:40:10 UTC
*** Bug 1608736 has been marked as a duplicate of this bug. ***

Comment 5 Marek Haicman 2018-09-26 09:57:28 UTC
Verified that version scap-security-guide-0.1.40-12.el7 has no regressions is major functionality.

Comment 7 errata-xmlrpc 2018-10-30 11:46:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3308


Note You need to log in before you can comment on or make changes to this bug.